Page MenuHomePhabricator

engine: refactor how total dstsize is calculated
ClosedPublic

Authored by pulkit on Dec 30 2020, 6:53 AM.

Details

Summary

Instead of increasing it with each revlog, we just get the sum of total
destination changelog, manifest and filelogs sizes.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 30 2020, 6:53 AM
marmoute accepted this revision.Jan 7 2021, 8:07 PM
mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM
This revision was automatically updated to reflect the committed changes.